Subject: bug#24131: closed (Re: bug#24131: A problem with CPS)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Mar 2017 08:53:02 +0000

Your bug report

#24131: A problem with CPS

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24131: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24131
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24131: A problem with CPS
From: Andy Wingo <[email-masked]>
To: Tommi Höynälänmaa <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2017 09:52:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue 02 Aug 2016 14:46, Tommi Höynälänmaa <[email-masked]> writes:

> tohoyn@tohoyn-laptop:~/src/guile-2.1.3/guile-2.1.3.92-d2684/omat$ ../meta/uninstalled-env guild compile -t cps hello.scm

This is fixed in git and will be out in the next prerelease.  Thanks for
your bug report :)

Andy

Subject: A problem with CPS
From: Tommi Höynälänmaa <[email-masked]>
To: [email-masked]
Date: Tue, 2 Aug 2016 15:46:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I get the following error:
---cut here---
tohoyn@tohoyn-laptop:~/src/guile-2.1.3/guile-2.1.3.92-d2684/omat$
../meta/uninstalled-env guild compile -t cps hello.scm
Backtrace:
          13 (apply-smob/1 #<catch-closure 2739c20>)
In ice-9/boot-9.scm:
    704:2 12 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
In ice-9/eval.scm:
    608:8 11 (_ #(#(#<directory (guile-user) 2740f30>)))
In /home/tohoyn/src/guile-2.1.3/guile-2.1.3.92-d2684/meta/guild:
    72:17 10 (main _)
In srfi/srfi-1.scm:
    640:9  9 (for-each1 ("hello.scm"))
In scripts/compile.scm:
   251:26  8 (_ _)
In system/base/target.scm:
     57:6  7 (with-target _ _)
In system/base/compile.scm:
    152:6  6 (compile-file _ #:output-file _ #:from _ #:to _ #:env _ …)
     43:4  5 (call-once _)
In ice-9/boot-9.scm:
    829:4  4 (with-throw-handler _ _ _)
In system/base/compile.scm:
    59:11  3 (_)
In language/cps/spec.scm:
     28:9  2 (write-cps #<intmap 0-40> _)
In unknown file:
           1 (scm-error misc-error #f "~A ~S" ("unexpected cps" #) #f)
In ice-9/boot-9.scm:
   753:26  0 (dispatch-exception _ _ _)

ice-9/boot-9.scm:753:26: In procedure dispatch-exception:
ice-9/boot-9.scm:753:26: unexpected cps #<intmap 0-40>
tohoyn@tohoyn-laptop:~/src/guile-2.1.3/guile-2.1.3.92-d2684/omat$
---cut here---
when I try to compile a guile Scheme program to CPS. The contents to file
hello.scm are:
---cut here---

(define (main args)
  (display "Hello")
  (newline))
---cut here---

I use guile-2.1.3.92-d2684 without installing it. I also have guile version
2.0.11 installed.

     - Tommi Höynälänmaa